Subject: Re: Problem in GMAC ?

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 6 Oct 2000 21:25:00 +0200

>I think there are a small probleme in gmac drivers.
>The size of received packet is not substracted by
>CRC length. You can see that with ethereal on all Linux machine.
>Then minimum packet is 64, but it must be 60.
>And you can see that all packet is 4 bytes too long.
>
>Is it normal or not ???

That's quite possible, I was not too sure what to do about it ;)

I beleive I should just substract 4 from the size of all Rx packets. This
problem have biten MOL too lately.

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/